dnl =======================================================
dnl FILE: configure.in.in
dnl =======================================================

AC_INIT(messages/Makefile.am)
AM_INIT_AUTOMAKE(kde-i18n-sr@Latn, "3.4.0")
AM_CONFIG_HEADER(config.h)
KDE_SET_PREFIX
AC_SUBST(AUTODIRS)
AM_KDE_WITH_NLS
AC_CREATE_KFSSTND(default)
AC_SUBST_KFSSTND
AC_PROG_INSTALL
AC_PROG_LN_S
KDE_CREATE_SUBDIRSLIST
AC_CONFIG_FILES([ Makefile ])
AC_CONFIG_FILES([ data/Makefile ])
AC_CONFIG_FILES([ data/kdeedu/Makefile ])
AC_CONFIG_FILES([ data/kdeedu/khangman/Makefile ])
AC_CONFIG_FILES([ data/kdeedu/kturtle/Makefile ])
AC_CONFIG_FILES([ messages/Makefile ])
AC_CONFIG_FILES([ messages/kdeaccessibility/Makefile ])
AC_CONFIG_FILES([ messages/kdeaddons/Makefile ])
AC_CONFIG_FILES([ messages/kdeadmin/Makefile ])
AC_CONFIG_FILES([ messages/kdeartwork/Makefile ])
AC_CONFIG_FILES([ messages/kdebase/Makefile ])
AC_CONFIG_FILES([ messages/kdeedu/Makefile ])
AC_CONFIG_FILES([ messages/kdegames/Makefile ])
AC_CONFIG_FILES([ messages/kdegraphics/Makefile ])
AC_CONFIG_FILES([ messages/kdelibs/Makefile ])
AC_CONFIG_FILES([ messages/kdemultimedia/Makefile ])
AC_CONFIG_FILES([ messages/kdenetwork/Makefile ])
AC_CONFIG_FILES([ messages/kdepim/Makefile ])
AC_CONFIG_FILES([ messages/kdesdk/Makefile ])
AC_CONFIG_FILES([ messages/kdetoys/Makefile ])
AC_CONFIG_FILES([ messages/kdeutils/Makefile ])
AC_CONFIG_FILES([ messages/kdewebdev/Makefile ])
AC_OUTPUT
# Check if KDE_SET_PREFIX was called, and --prefix was passed to configure
if test -n "$kde_libs_prefix" -a -n "$given_prefix"; then
  # And if so, warn when they don't match
  if test "$kde_libs_prefix" != "$given_prefix"; then
    # And if kde doesn't know about the prefix yet
    echo ":"`kde-config --path exe`":" | grep ":$given_prefix/bin/:" 2>&1 >/dev/null
    if test $? -ne 0; then
      echo ""
      echo "Warning: you chose to install this package in $given_prefix,"
      echo "but KDE was found in $kde_libs_prefix."
      echo "For this to work, you will need to tell KDE about the new prefix, by ensuring"
      echo "that KDEDIRS contains it, e.g. export KDEDIRS=$given_prefix:$kde_libs_prefix"
      echo "Then restart KDE."
      echo ""
    fi
  fi
fi

if test "$all_tests" = "bad"; then
  if test ! "$cache_file" = "/dev/null"; then
    echo ""
    echo "Please remove the file $cache_file after changing your setup"
    echo "so that configure will find the changes next time."
    echo ""
  fi
else
  echo ""
  echo "Good - your configure finished. Start make now"
  echo ""
fi
